> ## Documentation Index
> Fetch the complete documentation index at: https://generaltranslation.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# リストの管理

> リストの作成、更新、削除を行う

export const Button = ({href, children}) => {
  return <div className="not-prose group">
    <a href={href}>
      <button className="flex items-center space-x-2.5 py-1 px-4 bg-primary-dark dark:bg-white text-white dark:text-gray-950 rounded-full group-hover:opacity-[0.9] font-medium">
        <span>
          {children}
        </span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

Manage Lists エンドポイントを使用すると、認証済みユーザーに代わってリストを作成、更新、削除できます。

<div id="overview">
  ## 概要
</div>

<CardGroup cols={2}>
  <Card title="作成" icon="plus">
    新しいリストを作成
  </Card>

  <Card title="更新" icon="pen">
    リスト名と説明を更新
  </Card>

  <Card title="削除" icon="trash">
    リストを削除
  </Card>
</CardGroup>

***

<div id="endpoints">
  ## エンドポイント
</div>

| メソッド   | エンドポイント                                       | 説明          |
| :----- | :-------------------------------------------- | :---------- |
| POST   | [`/2/lists`](/ja/x-api/lists/create-list)     | 新しいリストを作成する |
| PUT    | [`/2/lists/:id`](/ja/x-api/lists/update-list) | リストを更新する    |
| DELETE | [`/2/lists/:id`](/ja/x-api/lists/delete-list) | リストを削除する    |

***

<div id="example-create-a-list">
  ## 例：リストの作成
</div>

```bash theme={null}
curl -X POST "https://api.x.com/2/lists" \
  -H "Authorization: Bearer $USER_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Tech News",
    "description": "My favorite tech journalists",
    "private": false
  }'
```

<div id="example-response">
  ## レスポンス例
</div>

```json theme={null}
{
  "data": {
    "id": "1234567890",
    "name": "Tech News"
  }
}
```

***

<div id="getting-started">
  ## はじめに
</div>

<Note>
  **前提条件**

  * 承認済みの[開発者アカウント](https://developer.x.com/en/portal/petition/essential/basic-info)
  * 開発者コンソール内の[Project と App](/ja/resources/fundamentals/developer-apps)
  * [OAuth 2.0 PKCE](/ja/resources/fundamentals/authentication#oauth-2-0-authorization-code-flow-with-pkce-2) を使用して取得したユーザーアクセス・トークン
</Note>

<CardGroup cols={2}>
  <Card title="クイックスタート" icon="rocket" href="/ja/x-api/lists/manage-lists/quickstart">
    最初のリストを作成
  </Card>

  <Card title="連携ガイド" icon="book" href="/ja/x-api/lists/manage-lists/integrate">
    基本概念とベストプラクティス
  </Card>

  <Card title="リストメンバー" icon="users" href="/ja/x-api/lists/list-members/introduction">
    メンバーを追加および削除
  </Card>

  <Card title="APIリファレンス" icon="code" href="/ja/x-api/lists/create-list">
    エンドポイントの詳細ドキュメント
  </Card>
</CardGroup>
